package com.steering.pss.sale.order.craftDesign.model;

public class CraftOrdDesignStsTklgEntity {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey = "";
	/**
	 * ORD_LN_PK(ORD_PK+三位流失号)
	 */
	private String ordLnPk = "";
	/**
	 * 设计状态(W:等待;S:通过;F:失败)
	 */
	private String designSts = "";
	/**
	 * 生产周期满足(W:等待;S:满足;F:不满足)
	 */
	private String prdcycMeet = "";
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 删除人
	 */
	private String deleteName = "";
	/**
	 * 删除时间
	 */
	private String deleteTime = "";

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * ORD_LN_PK(ORD_PK+三位流失号)
	 * 
	 * @return value
	 */
	public String getOrdLnPk() {
		return ordLnPk;
	}

	/**
	 * ORD_LN_PK(ORD_PK+三位流失号)
	 * 
	 * @param ordLnPk
	 *            value
	 */
	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}

	/**
	 * 设计状态(W:等待;S:通过;F:失败)
	 * 
	 * @return value
	 */
	public String getDesignSts() {
		return designSts;
	}

	/**
	 * 设计状态(W:等待;S:通过;F:失败)
	 * 
	 * @param designSts
	 *            value
	 */
	public void setDesignSts(String designSts) {
		this.designSts = designSts;
	}

	/**
	 * 生产周期满足(W:等待;S:满足;F:不满足)
	 * 
	 * @return value
	 */
	public String getPrdcycMeet() {
		return prdcycMeet;
	}

	/**
	 * 生产周期满足(W:等待;S:满足;F:不满足)
	 * 
	 * @param prdcycMeet
	 *            value
	 */
	public void setPrdcycMeet(String prdcycMeet) {
		this.prdcycMeet = prdcycMeet;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}
}
